# Copyright (c) 2021, InfluxFramework LLC
# MIT License. See license.txt


import influxframework


def execute():
	indicator_map = {
		"blue": "Blue",
		"orange": "Orange",
		"red": "Red",
		"green": "Green",
		"darkgrey": "Gray",
		"gray": "Gray",
		"purple": "Purple",
		"yellow": "Yellow",
		"lightblue": "Light Blue",
	}
	for d in influxframework.get_all("Kanban Board Column", fields=["name", "indicator"]):
		color_name = indicator_map.get(d.indicator, "Gray")
		influxframework.db.set_value("Kanban Board Column", d.name, "indicator", color_name)
